# THIS PACKAGE IS HOSTED AT MANDRIVA SVN
# PLEASE DO NOT UPLOAD DIRECTLY BEFORE COMMIT

%define	name		nas
%define	version		1.8
%define subrel		1
%define	rel		1
%define release		%mkrel %{rel}
%define	lib_name_orig	lib%{name}
%define	lib_major	2
%define	lib_name	%mklibname %{name} %{lib_major}
%define	lib_name_devel	%mklibname %{name} %{lib_major} -d
%define	lib_name_static_devel	%mklibname %{name} %{lib_major} -s -d

Summary:	Network Audio System
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	Public Domain
Group:		System/Servers
Source0:	http://nas.codebrilliance.com/nas/%{name}-%{version}.src.tar.gz
Source1:	nasd.init
Source2:	nasd.sysconfig
Patch0:		nas-1.8-security-fixes.patch
URL:		http://radscan.com/nas.html
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	bison flex
%if %mdkversion > 200600
BuildRequires:	x11-util-cf-files imake X11-devel rman gccmakedep
%else
BuildRequires:	XFree86-devel
%endif
Requires(post):	rpm-helper
Requires(preun):	rpm-helper
Provides:	nasd

%description
This package contains a network-transparent, client/server audio
system, with a library Key features of the Network Audio System
include:
 - Device-independent audio over the network
 - Lots of audio file and data formats
 - Can store sounds in server for rapid replay
 - Extensive mixing, separating, and manipulation of audio data
 - Simultaneous use of audio devices by multiple applications
 - Use by a growing number of ISVs
 - Small size
 - Free! No obnoxious licensing terms

%description -l	no
Denne pakken inneholder ett netttverkstransparent, klient/server audio
system, med et bibliotek. Nøkkelfinessene til Network Audio Systemm
inkluderer:
 - Enhetsuavhengig lyd over nettverket
 - Masser av audiofiler og dataformater
 - Kan lagre lyder i tjener for kjapp gjenavspilling
 - Utvidet mixing, separering og manipulering av lyddata
 - Samtidig bruk av lydenheter fra flere applikasjoner på en gang
 - Brukt av ett voksende nummer av uavhengige programvareutviklere
 - Liten i størrelse
 - Gratis! Ingen irriterende lisensbetingelser

%package -n	%{lib_name}
Summary:	Libraries needed for nasd
Group:		System/Libraries

%description -n	%{lib_name}
Libraries needed for nasd and other programs linked against nasd.

%package -n	%{lib_name_devel}
Summary:	Development headers and libraries for writing programs using NAS
Group:          Development/C
Requires:       %{lib_name} = %{version}
Provides:       %{lib_name_orig}-devel = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Obsoletes:      %{name}-devel

%description -n	%{lib_name_devel}
This package allows you to develop your own network audio programs.

%package -n	%{lib_name_static_devel}
Summary:	NAS static library
Group:		Development/C
Requires:       %{lib_name}-devel = %{version}
Provides:       %{lib_name_orig}-static-devel = %{version}-%{release}
Provides:       %{name}-static-devel = %{version}-%{release}
Obsoletes:	%{name}-static
Provides:	%{name}-static
Obsoletes:	%{lib_name}-static
Provides:	%{lib_name}-static

%description -n %{lib_name_static_devel}
NAS static library.

%prep
%setup -q
%patch0 -p1 -b .sec_fixes

%build
for cfgdir in %{_libdir} %{_prefix}/lib %{_prefix}/X11R6/lib %{_datadir}; do
  if [[ -f "$cfgdir/X11/config/Imake.tmpl" ]]; then
    CONFIGDIR="$cfgdir/X11/config"
    break
  fi
done
if [[ -z "$CONFIGDIR" ]]; then
  echo "Error: Imake.tmpl not found, the package won't build."
  exit 1
fi
make Makefiles CONFIGDIR=$CONFIGDIR
%make World CONFIGDIR=$CONFIGDIR \
    WORLDOPTS="-k CDEBUGFLAGS='$RPM_OPT_FLAGS -D__USE_BSD_SIGNAL' " \
    CXXDEBUGFLAGS="$RPM_OPT_FLAGS -w" 


%install
%{__rm} -rf %buildroot
%{makeinstall_std} \
   BINDIR="%_bindir" \
   LIBDIR="%_libdir/X11" \
   INCROOT="%_includedir" \
   USRLIBDIR="%_libdir" \
   SHLIBDIR="%_libdir" \
   MANPATH="%_mandir" \
   DOCDIR="%_datadir/X11/doc" \
   install.man

%{__mv} $RPM_BUILD_ROOT%{_sysconfdir}/nas/nasd.conf.eg $RPM_BUILD_ROOT%{_sysconfdir}/nas/nasd.conf
%{__install} -d $RPM_BUILD_ROOT{%{_initrddir},%{_sysconfdir}/sysconfig,%{_localstatedir}/nasd}
%{__install} -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{_initrddir}/nasd
%{__install} -m 755 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/nasd

%clean
%{__rm} -rf $RPM_BUILD_ROOT

#Run under own user(not for now)
#%pre
#%_pre_useradd nasd %{_localstatedir}/nasd /bin/bash

%post
%_post_service nasd

%post -n %{lib_name} -p /sbin/ldconfig

%preun
%_preun_service nasd

%postun -n %{lib_name}
/sbin/ldconfig

#Run under own user(not for now)
#%postun
#%_postun_userdel nasd

%files
%defattr(644,root,root,755)
%doc BUGS FAQ HISTORY README RELEASE TODO
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/nasd.conf
%config(noreplace) %{_sysconfdir}/sysconfig/nasd
%{_mandir}/man[15]/*
#Run under own user(not for now)
#%dir %attr(-,nasd,nasd) %{_localstatedir}/nasd
%defattr(755,root,root,755)
%{_bindir}/*
%{_initrddir}/nasd

%files -n %{lib_name}
%defattr(755,root,root,755)
%{_libdir}/lib*.so.*
%defattr(644,root,root,755)
%{_libdir}/X11/AuErrorDB

%files -n %{lib_name_devel}
%defattr(755,root,root,755)
%{_libdir}/lib*.so
%defattr(644,root,root,755)
#%{_datadir}/X11/doc/*
%{_includedir}/audio
%{_mandir}/man3/*

%files -n %{lib_name_static_devel}
%defattr(644,root,root,755)
%{_libdir}/lib*.a



%changelog
* Tue Mar 20 2007 Vincent Danen <vdanen@mandriva.com>
- P0: security fixes
- backport build fixes from cooker

* Thu Jun 08 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com>
+ 2006-06-08 16:13:02 (36806)
- fix permissions of docs in devel package

* Thu Jun 08 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com>
+ 2006-06-08 15:23:45 (36804)
- fix executable-marked-as-config-file
  fix no-prereq-on

* Mon Jun 05 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com>
+ 2006-06-05 22:50:15 (36676)
- updated to 1.8, add full url to source

* Tue May 30 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-05-30 19:05:32 (31732)
- Fixed sysinit install

* Tue May 30 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-05-30 18:50:57 (31728)
- Uncompress source files ( except original tarball )
- Add warn that package is hosted at svn
- Fixed build requires for new xorg

* Tue May 30 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-05-30 18:43:59 (31726)
- import nas-1.7b-5mdv2007.0

* Mon May 22 2006 Helio Chissini de Castro <helio@mandriva.com> 1.7b-5mdk
- Missing rman as a buildrequires

* Mon May 22 2006 Helio Chissini de Castro <helio@mandriva.com> 1.7b-3mdk
- Recompile against new X.org
- Move path to match new X layout
- Move library to proper %%_lib


* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.7b-2mdk
- Rebuild

* Thu Jun 09 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.7b-1mdk
- 1.7b
- fix requires
- %%mkrel

* Fri Apr 15 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.7a-1mdk
- 1.7a

* Thu Feb 10 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.7-3mdk
- fix build

* Thu Dec  2 2004 Götz Waschk <waschk@linux-mandrake.com> 1.7-2mdk
- update file list
- fix buildrequires

* Mon Nov 15 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.7-1mdk
- 1.7

* Mon Nov 08 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.6g-1mdk
- 1.6g

* Mon Jun 21 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.6d-1mdk
- 1.6d
- drop redundant requires

* Fri Jun 04 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.6c-2mdk
- rebuild

* Thu Apr 01 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.6c-1mdk
- 1.6c
- drop P2 (merged upstream)

* Sat Jan 03 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.6b-1mdk
- 1.6b
- dropped a redundant provides from -devel package
- drop P0 & P1, fixed upstream

* Wed Nov 26 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.6-12mdk
- make init script executable *d'oh*

* Tue Nov 25 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.6-11mdk
- add missing docs
- fix buildrequires (lib64..)

* Mon Aug  4 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.6-10mdk
- lib64 fixes, some 64-bit fixes

* Tue Jul 15 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 1.6-9mdk
- fix path to %%{__libdir} (lib64 issues..)

* Tue Jul 08 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 1.6-8mdk
- rebuild
- fix no description

* Fri Jun 13 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 1.6-7mdk
- rebuild

* Fri May 23 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 1.6-6mdk
- remove unneeded -fpic compile flags
- macroize
- use %%mklibname for devel and static-devel package
- force file permissions

* Wed Apr 02 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 1.6-5mdk
- fixed shlib-with-non-pic-code (Patch1)

* Wed Apr 02 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 1.6-4mdk
- use mklibname macro
- fixed BuildRequires
- fixed missing ;'s in server/dia/gram.y (Patch0) 
- cleanups

* Fri Feb 07 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 1.6-3mdk
- bzip2'ed Sources
- Some cleanups
- Ready to run under own user(commented out)

* Thu Nov 07 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.6-2mdk
- from Per Øyvind Karlsen <peroyvind@delonic.no> :
	- Fixed specfile, updated Requires, Provides etc. to follow mdk rpm policies

* Sun Oct 27 2002 Per Øyvind Karlsen <peroyvind@delonic.no> 1.6-1mdk
- 1.6

* Thu Oct 17 2002 Per Øyvind Karlsen <peroyvind@delonic.no> 1.5h-1mdk
- Requires and PreReq
- Cleaned up initscript
- 1.5h

* Mon Oct 14 2002 Per Øyvind Karlsen <peroyvind@delonic.no> 1.5g-2mdk
- Fixed service priority so that nasd will start after alsa.
- libnas2-devel does not require nas

* Wed Sep 25 2002 Per Øyvind Karlsen <peroyvind@delonic.no> 1.5g-1mdk
- 1.5g

* Wed Sep 25 2002 Per Øyvind Karlsen <peroyvind@delonic.no> 1.5f-2mdk
- Provides

* Tue Sep 17 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.5f-1mdk
- from Per Øyvind Karlsen <peroyvind@delonic.no> :
	- Updated to 1.5f
	- Corrected some typos
	- Created SysV init scripts

* Tue Aug 27 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.5e-1mdk
- from Per Øyvind Karlsen <peroyvind@delonic.no :
        - Separated packages into mandrake-style; libnas, libnas-devel, libnas-static and nas instead
        of redhat-style where packages wore: nas, nas-devel, nas-static
        - 1.5e
	
* Wed Apr 17 2002 Per Øyvind Karlsen <peroyvind@delonic.no> 1.5a-1dlc
- Initial release, spec file taken from Polished Linux Distribution(http://pld.org.pl)
